// LanSelDlg.cpp : implementation file
//

#include "stdafx.h"
#include "AX_Std_Demo.h"
#include "LanSelDlg.h"
#include "foxitpdfsdk.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLanSelDlg dialog


CLanSelDlg::CLanSelDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLanSelDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLanSelDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CLanSelDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLanSelDlg)
	DDX_Control(pDX, IDC_LANGUAGELIST, m_LanList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLanSelDlg, CDialog)
	//{{AFX_MSG_MAP(CLanSelDlg)
	ON_CBN_SELCHANGE(IDC_LANGUAGELIST, OnSelchangeLanguagelist)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLanSelDlg message handlers

void CLanSelDlg::init(CFoxitPDFSDK* pAX)
{
	m_pAX = pAX;
}

BOOL CLanSelDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_LanList.SetCurSel(0);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CLanSelDlg::OnSelchangeLanguagelist() 
{
	// TODO: Add your control notification handler code here
	CString strLanguageName;
	CString strLanuageDir = "C:\\";

	int index = m_LanList.GetCurSel();
	if( -1 == index )
		return;
	
    int langid = m_LanList.GetCurSel();
	switch (langid)
	{
	case 0:
		//Arabic
		break;
	case 5:strLanguageName = "lang_zh_cn.xml";break;
		//...
	case 9:strLanguageName = "lang_en_us.xml";break;
		//...
	}
	strLanguageName = strLanuageDir + strLanguageName;
	m_pAX->SetCurrentLanguageByString(strLanguageName);
}
