// AX_Std_DemoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "AX_Std_Demo.h"
#include "AX_Std_DemoDlg.h"
#include "LanSelDlg.h"
#include "PasswordInputDlg.h"
#include "pdfdocumentinfo.h"



#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAX_Std_DemoDlg dialog

CAX_Std_DemoDlg::CAX_Std_DemoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAX_Std_DemoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAX_Std_DemoDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_hAccel = ::LoadAccelerators(AfxGetInstanceHandle(),
		MAKEINTRESOURCE(IDR_ACCELERATOR1));
	m_pBuffer = NULL;
	m_bOpenCustomer = FALSE;
}

void CAX_Std_DemoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAX_Std_DemoDlg)
	DDX_Control(pDX, IDC_TREE1, m_outlinetree);
	DDX_Control(pDX, IDC_FOXITPDFSDKSTDCTRL1, m_AX);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAX_Std_DemoDlg, CDialog)
	//{{AFX_MSG_MAP(CAX_Std_DemoDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_COMMAND(IDM_FILE_OPEN, OnFileOpen)
	ON_COMMAND(IDM_FILE_PRINT, OnFilePrint)
	ON_COMMAND(IDM_FIND_TEXT, OnFindText)
	ON_COMMAND(IDM_ZOOM_IN, OnZoomIn)
	ON_COMMAND(IDM_ZOOM_OUT, OnZoomOut)
	ON_COMMAND(IDM_ZOOM_TO, OnZoomTo)
	ON_COMMAND(IDM_ROTATE_RIGHT, OnRotateRight)
	ON_COMMAND(IDM_ROTATE_LEFT, OnRotateLeft)
	ON_COMMAND(IDM_FIRST_PAGE, OnFirstPage)
	ON_COMMAND(IDM_LAST_PAGE, OnLastPage)
	ON_COMMAND(IDM_NEXE_PAGE, OnNextPage)
	ON_COMMAND(IDM_PREV_PAGE, OnPrevPage)
	ON_NOTIFY(NM_CLICK, IDC_TREE1, OnClickTree1)
	ON_COMMAND(IDM_HAND_TOOL, OnHandTool)
	ON_COMMAND(IDM_ZOOM_IN_TOOL, OnZoomInTool)
	ON_COMMAND(IDM_ZOOM_OUT_TOOL, OnZoomOutTool)
	ON_COMMAND(IDM_PREVIOUS_VIEW, OnPreviousView)
	ON_COMMAND(IDM_NEXT_VIEW, OnNextView)
	ON_COMMAND(IDM_GOTO_PAGE, OnGotoPage)
	ON_COMMAND(IDM_ABOUT, OnAbout)
	ON_COMMAND(IDM_HIDE_BOOKMARK, OnHideBookmark)
	ON_COMMAND(IDM_FILE_CLOSE, OnFileClose)
	ON_COMMAND(IDM_FIND_FILE, OnFindFile)
	ON_COMMAND(IDM_SINGLE_PAGE, OnSinglePage)
	ON_COMMAND(IDM_FACE, OnFace)
	ON_COMMAND(IDM_CONTINUOUS_PAGE, OnContinuousPage)
	ON_COMMAND(IDM_CONTINUOUS_FACE, OnContinuousFace)
	ON_COMMAND(IDM_ACTUAL_SIZE, OnActualSize)
	ON_COMMAND(IDM_FIT_PAGE, OnFitPage)
	ON_COMMAND(IDM_FIT_WIDTH, OnFitWidth)
	ON_COMMAND(IDM_EXIT, OnExit)
	ON_COMMAND(IDM_CUSTOMFILE_OPEN, OnCustomfileOpen)
	ON_COMMAND(IDM_DOCUMENT_INFO, OnDocumentInfo)
	ON_COMMAND(IDM_FILE_SAVE, OnFileSave)
	ON_COMMAND(IDM_FILE_SAVEAS, OnFileSaveas)
	ON_COMMAND(IDM_COPY_TEXT, OnCopyText)
	ON_COMMAND(IDM_PRINT_NOTSHOW, OnPrintNotshow)
	ON_WM_SIZE()
	ON_COMMAND(IDM_OPEN_MEMFILE, OnOpenMemfile)
	ON_COMMAND(IDM_STREAMFILE_OPEN, OnStreamfileOpen)
	ON_COMMAND(IDM_SELECTTEXT_TOOL, OnSelecttextTool)
	ON_COMMAND(IDM_SNAPSHOT_TOOL, OnSnapshotTool)
	ON_COMMAND(IDM_FINDTEXT_TOOL, OnFindtextTool)
	ON_WM_DESTROY()
	ON_COMMAND(ID_CHOOSE_LANGUAGE, OnChooseLanguage)
	ON_COMMAND(IDM_Open_FtpFile, OnOpenFtpFile)
	ON_COMMAND(IDM_Enable_HypeLink, OnEnableHypeLink)
	ON_COMMAND(IDM_Enable_Tooltip, OnEnableTooltip)
	ON_COMMAND(IDM_Set_Menu, OnSetMenu)
	ON_COMMAND(IDM_Navigation, OnNavigation)
	ON_COMMAND(IDM_OPENMEMFILEFORPRINT, OnOpenmemfileforprint)
	ON_COMMAND(IDM_REMOVEEMARK, OnRemoveemark)
	ON_COMMAND(IDM_CRASHLOG_PATH, OnCrashLogPath)
	ON_COMMAND(IDC_OK, OnOK)
	ON_COMMAND(ID_PROPERTIES_FILE, OnPropertiesFile)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAX_Std_DemoDlg message handlers
void CAX_Std_DemoDlg::OnOK()
{
	return;
}
BOOL CAX_Std_DemoDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

if (!m_wndToolBar.CreateEx(this, /*TBSTYLE_FLAT | TBSTYLE_LIST,*/ WS_CHILD | WS_VISIBLE | CBRS_TOP
		| CBRS_GRIPPER | CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC) ||
		!m_wndToolBar.LoadToolBar(IDR_TOOLBAR1))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}  
    

	CImageList ImgList;
	CBitmap bm;
	ImgList.Create(22,22,ILC_COLOR8|ILC_MASK, 21, 21);
	ImgList.SetBkColor(::GetSysColor(15));
	bm.LoadBitmap(IDB_BITMAP31);//OPEN
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP40);//Print
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP27);//first page
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP39);//prev page
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP37);//next page
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP45);//last page
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP47);//preview
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP46);//next view
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP26);//count clockwise
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP25);//clockwise
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP42);//zoom in
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP21);//zoom out
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP23);//actual size
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP28);//fit page
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP29);//fit width
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP44);//search
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP24);//Bookmark
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP30);//hand tool
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP41);//snap shot
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	bm.LoadBitmap(IDB_BITMAP43);//select text
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();	
	bm.LoadBitmap(IDB_BITMAP22);//about
	ImgList.Add(&bm,RGB(0,255,0));
	bm.Detach();
	m_wndToolBar.GetToolBarCtrl().SetImageList(&ImgList);
	ImgList.Detach();
	
    RepositionBars(AFX_IDW_CONTROLBAR_FIRST,AFX_IDW_CONTROLBAR_LAST,0);
	
	CSize size(34,34);
	m_wndToolBar.GetToolBarCtrl().SetButtonSize(size);
     
	m_bhidebookmark = TRUE;
	rotatefactor = 0;
	zoomfactor = 0;
	
	//use UnLockActiveX Method to UnLock ActiveX 
	m_AX.UnLockActiveX(_T("Licence_ID"),_T("Unlock_code"));
	m_AX.ShowToolBar( FALSE );
	m_AX.ShowTitleBar( FALSE );
	m_AX.ShowStatusBar(TRUE);
	this->ShowWindow(SW_SHOWMAXIMIZED);

	return TRUE;  // return TRUE  unless you set the focus to a control
}


void CAX_Std_DemoDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.


void CAX_Std_DemoDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics( SM_CXICON );
		int cyIcon = GetSystemMetrics( SM_CYICON );
		CRect rect;
		GetClientRect( &rect );
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);

	}
	else
	{	
		m_outlinetree.MoveWindow(m_LeftRect);
		if(m_bhidebookmark == TRUE)
			m_outlinetree.ShowWindow(SW_HIDE);
		else
			m_outlinetree.ShowWindow(SW_SHOW);
		m_AX.MoveWindow(m_RightRect);
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CAX_Std_DemoDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}


void CAX_Std_DemoDlg::OnFileOpen() 
{
 	CFileDialog fdg( true, NULL, NULL, OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT, _T("(*.pdf)|*.pdf"), NULL);
 	if(fdg.DoModal() != IDOK) return;
 
 	m_AX.CloseFile();
 	BOOL bSuccess = m_AX.OpenFile(fdg.GetPathName() ,NULL );

	if(!bSuccess)
	{
		AfxMessageBox(_T("error!Could not open the file"));
		return;
	}

	m_outlinetree.DeleteAllItems();
	m_bookMarkMap.RemoveAll();

	m_outlinetree.DestroyWindow();
	m_outlinetree.Create(WS_VISIBLE | WS_TABSTOP | WS_CHILD | WS_BORDER
		| TVS_LINESATROOT | TVS_HASLINES| TVS_DISABLEDRAGDROP,
		CRect(0, 40, 200, 950), this, IDC_TREE1);
	CPDFOutline outline;
	outline = m_AX.GetOutlineFirstChild( outline.m_lpDispatch );
	
	if (outline != NULL)
	{	
		outline = NULL;
		ProcOutline(outline,NULL);
	}
	OnMENUITEMexpandtree();
	m_AX.ShowNavigationPanels( TRUE );
//	m_AX.OpenFile("http://www.mastek.com/transcript.pdf", "");
}


void CAX_Std_DemoDlg::OnCustomfileOpen() 
{
	CFileDialog fd(true,NULL,NULL,OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT,_T("(*.pdf)|*.pdf"),NULL);
	CFileException e;
    WCHAR* pFileName = new WCHAR [ MAX_PATH ];

	if ( fd.DoModal() != IDOK) 
		return;
	wcscpy ( pFileName, fd.GetPathName().LockBuffer());
	
	m_outlinetree.DeleteAllItems();
	m_AX.CloseFile();

	if (m_f.GetFileName() != _T(""))
	{
		m_f.Close();
	}
	
	if( !m_f.Open( pFileName, CFile::modeRead | CFile::typeBinary , &e ) )
	   {
		#ifdef _DEBUG
			afxDump << _T("File could not be opened ") << e.m_cause << _T("\n");
		#endif
		MessageBox(_T("File could not be opened!"));
		delete [] pFileName;
		return;
	   }	
	delete [] pFileName;
	m_outlinetree.DeleteAllItems();
	m_bookMarkMap.RemoveAll();

	// OpenCustomFile method trigger two events: OnCustomFileGetSize and
	//OnCustomFileGetBlock;
	m_AX.OpenCustomFile(_T(""));
	m_bOpenCustomer = TRUE;

	m_outlinetree.DestroyWindow();
	m_outlinetree.Create(WS_VISIBLE | WS_TABSTOP | WS_CHILD | WS_BORDER
		| TVS_LINESATROOT | TVS_HASLINES| TVS_DISABLEDRAGDROP,
		CRect(0, 40, 200, 950), this, IDC_TREE1);
	CPDFOutline outline;
	outline = m_AX.GetOutlineFirstChild( outline.m_lpDispatch );
	
	if (outline != NULL)
	{	
		outline = NULL;
		ProcOutline(outline,NULL);
	}
	OnMENUITEMexpandtree();
}

// Use OpenMemFile to open PDF in the memory.
void CAX_Std_DemoDlg::OnOpenMemfile() 
{
	CFileDialog fd(true,NULL,NULL,OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT,_T("(*.pdf)|*.pdf"),NULL);
	CFileException e;
    CString csFileName;
	
	if ( fd.DoModal() != IDOK) 
		return;
	csFileName = fd.GetPathName();

	m_AX.CloseFile();
	if(NULL != m_pBuffer)
	{
		delete m_pBuffer;
		m_pBuffer = NULL;
	}

	DWORD dwfilesize,dwreadbytes;
	HANDLE hFile = CreateFile(csFileName, GENERIC_READ, FILE_SHARE_READ,
		NULL, OPEN_EXISTING, FILE_ATTRIBUTE_NORMAL, NULL);
	dwfilesize = GetFileSize(hFile, NULL);
	m_pBuffer = new BYTE [dwfilesize];
	ReadFile(hFile, m_pBuffer, dwfilesize, &dwreadbytes,
		NULL);
	CloseHandle(hFile);
	m_outlinetree.DeleteAllItems();
	m_bookMarkMap.RemoveAll();

	m_AX.OpenMemFile((long)m_pBuffer, dwfilesize, _T(""));

	m_outlinetree.DestroyWindow();
	m_outlinetree.Create(WS_VISIBLE | WS_TABSTOP | WS_CHILD | WS_BORDER
		| TVS_LINESATROOT | TVS_HASLINES| TVS_DISABLEDRAGDROP,
		CRect(0, 40, 200, 950), this, IDC_TREE1);
	CPDFOutline outline;
	outline = m_AX.GetOutlineFirstChild( outline.m_lpDispatch );
	
	if (outline != NULL)
	{	
		outline = NULL;
		ProcOutline(outline,NULL);
	}
	OnMENUITEMexpandtree();
	// 	or you could open pdf file in this way:
	//---------------------------------------------------------------------------------------
	// 	tagVARIANT source;
	// 	source.vt = VT_BSTR;
	// 	source.bstrVal = BSTR(m_pBuffer);
	// 	m_AX.OpenBuffer(source, dwfilesize, "");	
}

// use openstream to open a PDF stream file
void CAX_Std_DemoDlg::OnStreamfileOpen() 
{
	IStream *pStm; 
	CFileStatus fstatus; 
	CFile file; 
	LONG cb; 
	HGLOBAL hGlobal;
	LPVOID pvData = NULL; 
	
 	CFileDialog fd(true,NULL,NULL,OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT,
 		_T("(*.pdf)|*.pdf"),NULL);
 	if ( fd.DoModal() != IDOK) 
 		return;
 	
 	if (file.Open(fd.GetPathName(),CFile::modeRead) && 
 		file.GetStatus(fd.GetPathName(), fstatus) && 
 		((cb = fstatus.m_size) != -1)) 
 	{ 
 		hGlobal = GlobalAlloc(GMEM_MOVEABLE, cb); 
 		
 		if (hGlobal != NULL) 
 		{ 
 			if ((pvData = GlobalLock(hGlobal)) != NULL) 
 			{ 
 				file.Read(pvData, cb); 
 				GlobalUnlock(hGlobal); 
 				CreateStreamOnHGlobal(hGlobal, TRUE, &pStm);
 			}
 		}
 		file.Close();
 		m_outlinetree.DeleteAllItems();
 		m_bookMarkMap.RemoveAll();
		
 		m_AX.OpenStream(pStm, _T(""));
 		if(hGlobal != NULL)
 			GlobalFree(hGlobal);
 	}

	m_outlinetree.DestroyWindow();
	m_outlinetree.Create(WS_VISIBLE | WS_TABSTOP | WS_CHILD | WS_BORDER
		| TVS_LINESATROOT | TVS_HASLINES| TVS_DISABLEDRAGDROP,
		CRect(0, 40, 200, 950), this, IDC_TREE1);
	CPDFOutline outline;
	outline = m_AX.GetOutlineFirstChild( outline.m_lpDispatch );
	
	if (outline != NULL)
	{	
		outline = NULL;
		ProcOutline(outline,NULL);
	}
	OnMENUITEMexpandtree();
//	m_AX.SetFileStreamOption(TRUE);
//	LPUNKNOWN pUnknown = m_AX.SaveToStream();
//	m_AX.OpenStream((IStream*)pUnknown, "");
}

void CAX_Std_DemoDlg::OnFileSave() 
{
	m_AX.Save();	
}


void CAX_Std_DemoDlg::OnFileSaveas() 
{
	CFileDialog fdg(false, _T(".pdf"), NULL, OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT, 
		_T("(*.pdf)|*.pdf"), NULL);
	if(fdg.DoModal() != IDOK) 
		return;
	m_AX.SaveAs( fdg.GetPathName() );
	
}

//print the File,which you could set several properties of the printer as follows;
void CAX_Std_DemoDlg::OnFilePrint() 
{
	CPDFPrinter printer = m_AX.GetPrinter();
	
	printer.SetPrinterRangeMode( 3 );
	printer.SetPrinterRangeFrom( 2 );
	printer.SetPrinterRangeTo( 3 );
	printer.SetPaperSize( 8 );
	printer.SetNumOfCopies( 2 );
	printer.PrintWithDialog();	
}

//when you want to print a PDF file which do not need open it first.
void CAX_Std_DemoDlg::OnPrintNotshow() 
{
	CFileDialog fdg( true, NULL, NULL, OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT, 
		_T("(*.pdf)|*.pdf"), NULL);
	if(fdg.DoModal() != IDOK) 
		return;
	
	CString spath = fdg.GetPathName();
		
	CPDFPrinter printer = m_AX.OpenFileForPrinter( spath );
	printer.PrintWithDialog();	
}

//get the text using the Select Text Tool
void CAX_Std_DemoDlg::OnCopyText() 
{
	CString m_spagetext = m_AX.GetSelectedText();

	if(OpenClipboard() && (m_spagetext != _T("")))
	{
		 HGLOBAL clipbuffer;
		 WCHAR * buffer;

		 EmptyClipboard();
		 clipbuffer = GlobalAlloc(GMEM_DDESHARE, (m_spagetext.GetLength() + 1)* sizeof(TCHAR));
		 buffer = ( WCHAR* )GlobalLock( clipbuffer );
		 wcscpy(buffer,  m_spagetext );
		 GlobalUnlock( clipbuffer );
		 SetClipboardData(CF_UNICODETEXT, clipbuffer);
		 CloseClipboard();
		 AfxMessageBox(_T("copy success!"), MB_OK);
	}
	
}

//search the text in the File
void CAX_Std_DemoDlg::OnFindText() 
{
	CFindDlg fd;
	fd.init(&m_AX);
	fd.DoModal();
}


void CAX_Std_DemoDlg::OnFindFile() 
{
	CFindFoldDlg *fd = new CFindFoldDlg;
	fd->init(&m_AX);
	fd -> Create(IDD_FIND_FOLD, NULL);
	fd -> ShowWindow( SW_SHOW );
}


void CAX_Std_DemoDlg::OnZoomIn() 
{   
	zoomfactor = m_AX.GetZoomLevel();

	if(zoomfactor + 10 > 6400) 
		zoomfactor = 6400;
	else 
		zoomfactor = zoomfactor + 10;
	
	m_AX.SetZoomLevel( zoomfactor );
	
}


void CAX_Std_DemoDlg::OnZoomOut() 
{
    zoomfactor = m_AX.GetZoomLevel();

	if(zoomfactor - 10 > 0) 
		zoomfactor = zoomfactor - 10;

	m_AX.SetZoomLevel( zoomfactor );
}


void CAX_Std_DemoDlg::OnZoomTo() 
{
	CZoom zoom;
	zoom.init(&m_AX);
	zoom.DoModal();

}


void CAX_Std_DemoDlg::OnRotateRight() 
{
    if(rotatefactor == 3) 
		rotatefactor = 0;
	else 
		rotatefactor++;
	m_AX.SetRotate(rotatefactor);
}


void CAX_Std_DemoDlg::OnRotateLeft() 
{  
	if(rotatefactor == 0) rotatefactor=3;
    else rotatefactor--;
	m_AX.SetRotate( rotatefactor );
}


void CAX_Std_DemoDlg::OnFirstPage() 
{    
	m_AX.GoToPage(0);
}


void CAX_Std_DemoDlg::OnLastPage() 
{
	int count = m_AX.GetPageCount();
	m_AX.GoToPage(count-1);	
}


void CAX_Std_DemoDlg::OnNextPage() 
{   int count = m_AX.GetPageCount();  
    int current = m_AX.GetCurPage();

    if(current+1 <= count-1)
		m_AX.GoToPage(current+1);	
	//or call the following:
	//m_AX.GoToNextPage();
}


void CAX_Std_DemoDlg::OnPrevPage() 
{  
	int count = m_AX.GetPageCount();  
    int current = m_AX.GetCurPage();

    if(current-1 >= 0)
		m_AX.GoToPage(current-1);
	//or call  the following:
	//m_AX.GoToPrevPage();
	
}

void CAX_Std_DemoDlg::OnMENUITEMexpandtree() //չнڵ
{
    // TODO: Add your command handler code here
	HTREEITEM hRootItem = m_outlinetree.GetRootItem();
    while(hRootItem != NULL)
	{
		MyExpandTree(hRootItem); 
		hRootItem = m_outlinetree.GetNextSiblingItem(hRootItem);
	}
	
}

void CAX_Std_DemoDlg::MyExpandTree(HTREEITEM hTreeItem)
{
    if(!m_outlinetree.ItemHasChildren(hTreeItem))
    {
        return;
    }
    HTREEITEM hNextItem = m_outlinetree.GetChildItem(hTreeItem);
    while (hNextItem != NULL)
    {
        MyExpandTree(hNextItem);
        hNextItem = m_outlinetree.GetNextItem(hNextItem, TVGN_NEXT);
    }
    m_outlinetree.Expand(hTreeItem,TVE_EXPAND);
}


void CAX_Std_DemoDlg::ProcOutline(CPDFOutline outline,HTREEITEM hParentItem)
{
	outline=m_AX.GetOutlineFirstChild(outline.m_lpDispatch);
	
	while(outline!=NULL)
	{
       
		CString a = outline.GetOutlineTitle();
		TVINSERTSTRUCT tvis;
		HTREEITEM hItem = NULL;
		tvis.hParent = hParentItem;
		tvis.hInsertAfter = TVI_LAST;
		tvis.item.mask = TVIF_TEXT | TVIF_CHILDREN;
		tvis.item.pszText = a.LockBuffer ( );
		hItem = m_outlinetree.InsertItem ( &tvis );
		a.ReleaseBuffer();
		m_bookMarkMap.SetAt ( hItem, outline );
		ProcOutline(outline,hItem);
		outline=m_AX.GetOutlineNextSibling( outline.m_lpDispatch );

	}
}


void CAX_Std_DemoDlg::OnClickTree1(NMHDR* pNMHDR, LRESULT* pResult) 
{
	DWORD dw = GetMessagePos();
	POINTS ps = MAKEPOINTS( dw );	
	CPoint pt;
	pt.x = ps.x;
	pt.y = ps.y;
	
	m_outlinetree.ScreenToClient( &pt );
	UINT uFlags;
	HTREEITEM hItem = m_outlinetree. HitTest( pt, &uFlags );
	
	if ( NULL != hItem && TVHT_ONITEM & uFlags )
	{     
		CPDFOutline outline;

		if ( m_bookMarkMap.Lookup ( hItem, outline ) )
		{
			if ( outline != NULL)
			{
			   outline.NavigateOutline();
			}
			
		}
	}
			
	*pResult = 0;
}


void CAX_Std_DemoDlg::OnHandTool() 
{
	m_AX.SetCurrentTool(_T("Hand Tool"));
	
}


void CAX_Std_DemoDlg::OnZoomInTool() 
{
	m_AX.SetCurrentTool(_T("ZoomIn Tool"));
}

void CAX_Std_DemoDlg::OnSelecttextTool() 
{
	m_AX.SetCurrentTool(_T("Select Text Tool"));	
}

void CAX_Std_DemoDlg::OnSnapshotTool() 
{
	m_AX.SetCurrentTool(_T("Snapshot Tool"));		
}

void CAX_Std_DemoDlg::OnZoomOutTool() 
{

	m_AX.SetCurrentTool( _T("ZoomOut Tool") );
	
}

void CAX_Std_DemoDlg::OnFindtextTool() 
{
	m_AX.SetCurrentTool(_T("Find Text Tool"));	
}

void CAX_Std_DemoDlg::OnPreviousView() 
{
	if(m_AX.ExistBackwardStack())
		m_AX.GoBackwardStack();
	
	
}


void CAX_Std_DemoDlg::OnNextView() 
{
	if(m_AX.ExistForwardStack())
        m_AX.GoForwardStack();	
}


void CAX_Std_DemoDlg::OnGotoPage() 
{
	CGotopage m_gotopage;
	m_gotopage.init(&m_AX);
	m_gotopage.DoModal();	
}



void CAX_Std_DemoDlg::OnAbout() 
{
	m_AX.AboutBox();
// 	CAboutDlg dlg;
// 	dlg.DoModal();
}


void CAX_Std_DemoDlg::OnHideBookmark() 
{   
	 m_bhidebookmark = (m_bhidebookmark == TRUE)?FALSE:TRUE;
	 GetClientRect(&m_RightRect);
	 m_LeftRect = m_RightRect;
	 if(TRUE == m_bhidebookmark)
	 {
		 m_RightRect.top = m_RightRect.top + 40;
	 }
	 else
	 {
		 m_LeftRect.top = m_LeftRect.top + 40;
		 m_LeftRect.left = 0;
		 m_LeftRect.right = 150;
		 m_RightRect.top = m_RightRect.top + 40;
		 m_RightRect.left = m_RightRect.left + 150;
		 m_RightRect.right = m_RightRect.right - 10;
	 }
	 Invalidate(TRUE);
}


void CAX_Std_DemoDlg::OnFileClose() 
{
	m_AX.CloseFile();
	m_outlinetree.DeleteAllItems();
//	m_outlinetree.DestroyWindow();	
  /*  m_outlinetree.DestroyWindow();	
    m_outlinetree.DeleteAllItems();*/
}


void CAX_Std_DemoDlg::OnSinglePage() 
{
	m_AX.SetLayoutShowMode(0, 1);
}


void CAX_Std_DemoDlg::OnFace() 
{
	
	m_AX.SetLayoutShowMode(0, 2);

}

void CAX_Std_DemoDlg::OnContinuousPage() 
{  
    m_AX.SetLayoutShowMode(1, 1);	

	
}

void CAX_Std_DemoDlg::OnContinuousFace() 
{
	m_AX.SetLayoutShowMode(1, 2);

}


void CAX_Std_DemoDlg::OnActualSize() 
{
	m_AX.SetZoomLevel(0);
}


void CAX_Std_DemoDlg::OnFitPage() 
{
	m_AX.SetZoomLevel(1);
}


void CAX_Std_DemoDlg::OnFitWidth() 
{
	m_AX.SetZoomLevel(2);
}


BEGIN_EVENTSINK_MAP(CAX_Std_DemoDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CAX_Std_DemoDlg)
	ON_EVENT(CAX_Std_DemoDlg, IDC_FOXITPDFSDKSTDCTRL1, 6 /* OnHypeLink */, OnOnHypeLinkFoxitpdfsdkstdctrl1, VTS_BSTR VTS_BSTR VTS_DISPATCH VTS_PBOOL)
	ON_EVENT(CAX_Std_DemoDlg, IDC_FOXITPDFSDKSTDCTRL1, 9 /* CustomFileGetSize */, OnCustomFileGetSizeFoxitpdfsdkstdctrl1, VTS_PI4)
	ON_EVENT(CAX_Std_DemoDlg, IDC_FOXITPDFSDKSTDCTRL1, 10 /* CustomFileGetBlock */, OnCustomFileGetBlockFoxitpdfsdkstdctrl1, VTS_I4 VTS_I4 VTS_I4)
	ON_EVENT(CAX_Std_DemoDlg, IDC_FOXITPDFSDKSTDCTRL1, 7 /* OnSearchProgress */, OnOnSearchProgressFoxitpdfsdkstdctrl1, VTS_I4 VTS_I4)
	ON_EVENT(CAX_Std_DemoDlg, IDC_FOXITPDFSDKSTDCTRL1, 8 /* OnOpenDocument */, OnOnOpenDocumentFoxitpdfsdkstdctrl1, VTS_BSTR)
	ON_EVENT(CAX_Std_DemoDlg, IDC_FOXITPDFSDKSTDCTRL1, 5 /* OnOpenPassword */, OnOnOpenPasswordFoxitpdfsdkstdctrl1, VTS_PBSTR VTS_PBOOL)
	ON_EVENT(CAX_Std_DemoDlg, IDC_FOXITPDFSDKSTDCTRL1, 4 /* OnPageChange */, OnOnPageChangeFoxitpdfsdkstdctrl1, VTS_NONE)
	ON_EVENT(CAX_Std_DemoDlg, IDC_FOXITPDFSDKSTDCTRL1, 3 /* OnZoomChange */, OnOnZoomChangeFoxitpdfsdkstdctrl1, VTS_NONE)
	ON_EVENT(CAX_Std_DemoDlg, IDC_FOXITPDFSDKSTDCTRL1, 2 /* AfterDraw */, OnAfterDrawFoxitpdfsdkstdctrl1, VTS_I4)
	ON_EVENT(CAX_Std_DemoDlg, IDC_FOXITPDFSDKSTDCTRL1, 1 /* BeforeDraw */, OnBeforeDrawFoxitpdfsdkstdctrl1, VTS_I4)
	ON_EVENT(CAX_Std_DemoDlg, IDC_FOXITPDFSDKSTDCTRL1, 11 /* OnContextMenuIndex */, OnOnContextMenuIndexFoxitpdfsdkstdctrl1, VTS_I2)
	ON_EVENT(CAX_Std_DemoDlg, IDC_FOXITPDFSDKSTDCTRL1, 16 /* OnCloseDocument */, OnOnCloseDocumentFoxitpdfsdkstdctrl1, VTS_BSTR)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

//triggered when a hypelink is clicked
void CAX_Std_DemoDlg::OnOnHypeLinkFoxitpdfsdkstdctrl1(LPCTSTR linktype, LPCTSTR linkdata, LPDISPATCH dest, BOOL FAR* cancel) 
{
	CString strlinktype = linktype;
	CString strlinkdata = linkdata;

	if(strlinktype == "Launch")
	{ 

      int i = strlinkdata.ReverseFind(':');
	  CString filepath = strlinkdata.Left(i);
	  CString strbNewWindow = strlinkdata.Right(strlinkdata.GetLength()-i-1);
	  BOOL bNewWindow = _wtoi(strbNewWindow);

      if (filepath != "")
		{
			CString csExt = filepath.Right(4);
			if (!csExt.CollateNoCase(_T(".pdf")) )
			{   
				if(bNewWindow)
				{
				   m_AX.OpenFile(filepath,_T("")) ;
				}
				else
				{  
				   //m_AX.OpenFile(csSrcFile,"") ; 
					WCHAR *pSrcFile = new WCHAR[MAX_PATH];
					wcscpy(pSrcFile, filepath);
					m_AX.OpenFile(pSrcFile, _T(""));
				}
			}
			else
			{
              ShellExecute(NULL, _T("open"), filepath, NULL, NULL, SW_SHOWNORMAL);
			}
		}
		* cancel=TRUE;
	}

	else if(strlinktype=="GoToR")
	{
		int i=strlinkdata.ReverseFind(':');
		CString filepath=strlinkdata.Left(i);
		CString strbNewWindow=strlinkdata.Right(strlinkdata.GetLength()-i-1);
		BOOL bNewWindow=_wtoi(strbNewWindow);

		if (filepath !=_T(""))
		{
		  	CLink_Dest tempdest=dest;
			if(bNewWindow)
			{
				// m_AX.OpenFile(filepath,"") ;
			}
			else
			{  
				//..........
			}
		}
		* cancel=TRUE;
	}
	
}


void CAX_Std_DemoDlg::OnOnSearchProgressFoxitpdfsdkstdctrl1(long pageNumber, long PageCount) 
{
	//triggered when you search a document,pageNumber is the page currently been searched,
	//PageCount is the total number of the pages
}


void CAX_Std_DemoDlg::OnOnOpenDocumentFoxitpdfsdkstdctrl1(LPCTSTR FilePath) 
{
	//AfxMessageBox(FilePath);
	
}


void CAX_Std_DemoDlg::OnOnOpenPasswordFoxitpdfsdkstdctrl1(BSTR FAR* Password, BOOL FAR* cancel) 
{	
	CPasswordInputDlg dlg;
	if(dlg.DoModal() == IDOK)
	{
		*Password = dlg.m_csPassword.AllocSysString();
		*cancel = FALSE;
	}
}


void CAX_Std_DemoDlg::OnOnPageChangeFoxitpdfsdkstdctrl1() 
{
	//triggered when page changed	
}


void CAX_Std_DemoDlg::OnOnZoomChangeFoxitpdfsdkstdctrl1() 
{
	//triggered when ZoomLever changed	
}


void CAX_Std_DemoDlg::OnAfterDrawFoxitpdfsdkstdctrl1(long dc) 
{
	//triggered after the painting of viewer contents is completed
	
}


void CAX_Std_DemoDlg::OnBeforeDrawFoxitpdfsdkstdctrl1(long dc) 
{
	//triggered before the painting of viewer contents is about to begin
	
}


void CAX_Std_DemoDlg::OnCustomFileGetSizeFoxitpdfsdkstdctrl1(long FAR* size) 
{
	long len = m_f.GetLength();
	*size = len;
}	


void CAX_Std_DemoDlg::OnCustomFileGetBlockFoxitpdfsdkstdctrl1(long pos, long pBuf, long size) 
{
	m_f.Seek(pos, CFile::begin);
	m_f.Read((void *)pBuf, size);	
}


void CAX_Std_DemoDlg::OnExit() 
{
	m_AX.CloseFile();
	exit( 1 );
	
}


void CAX_Std_DemoDlg::OnDocumentInfo() 
{
//	m_AX.ShowDocumentInfoDialog();
}

void CAX_Std_DemoDlg::OnSize(UINT nType, int cx, int cy) 
{
	CDialog::OnSize(nType, cx, cy);

	GetClientRect(&m_RightRect);
	m_LeftRect = m_RightRect;

	if(TRUE == m_bhidebookmark)
	{

		m_RightRect.top = m_RightRect.top + 40;
	}
	else 
	{  
		m_LeftRect.top = m_LeftRect.top + 40;
		m_LeftRect.left = 0;
		m_LeftRect.right = 150;
		m_RightRect.top = m_RightRect.top + 40;
		m_RightRect.left = m_RightRect.left + 150;
		m_RightRect.right = m_RightRect.right - 10;	
	} 
	Invalidate(TRUE);
	
}


BOOL CAX_Std_DemoDlg::PreTranslateMessage(MSG* pMsg) 
{
	if (m_hAccel) 
	{
		if (::TranslateAccelerator(m_hWnd, m_hAccel, pMsg)) 
		{
			return(TRUE);
		}
	}	
	return CDialog::PreTranslateMessage(pMsg);
}

void CAX_Std_DemoDlg::OnDestroy() 
{
	CDialog::OnDestroy();
	
	if(NULL != m_pBuffer)
		delete m_pBuffer;
	if(NULL != m_hAccel)
		DestroyAcceleratorTable(m_hAccel);
}

void CAX_Std_DemoDlg::OnChooseLanguage() 
{
	// TODO: Add your command handler code here
	CLanSelDlg dg;
	dg.init(&m_AX);
	dg.DoModal();
}



void CAX_Std_DemoDlg::OnOpenFtpFile() 
{	//Suppose that there is a ftp which name is "192.168.0.1"
	//username is "user", password is "pass", a file called "test.pdf" on the
	//ftp's root.
	CString ftpName = "192.168.0.1" ;
	CString usrName = "user";
	CString usrPassword = "pass";
	int nPort = 21;
	CString FilePath = "/test.pdf";
	CString filePassword = "";
	BOOL bPass = FALSE;
	m_AX.OpenFtpFile(ftpName, usrName, usrPassword, 21, FilePath, filePassword, bPass);	
}

BOOL bEnableHypeLink = TRUE;
void CAX_Std_DemoDlg::OnEnableHypeLink() 
{
	// TODO: Add your command handler code here
	if(bEnableHypeLink)
	{
		bEnableHypeLink = FALSE;
		AfxMessageBox(_T("Disable the HypeLink!"));
		m_AX.EnableHyperLink(bEnableHypeLink);
	}
	else
	{
		bEnableHypeLink = TRUE;
		AfxMessageBox(_T("Enable the HypeLink!"));
		m_AX.EnableHyperLink(bEnableHypeLink);
	 }
}

BOOL bEnableTooltip = TRUE;
void CAX_Std_DemoDlg::OnEnableTooltip() 
{
	// TODO: Add your command handler code here
	if(bEnableTooltip)
	{
		bEnableTooltip = FALSE;
		AfxMessageBox(_T("Disable the Tooltip!"));
		m_AX.EnableToolTips(bEnableTooltip);
	}
	else
	{
		bEnableTooltip = TRUE;
		AfxMessageBox(_T("Enable the Tooltip!"));
		m_AX.EnableToolTips(bEnableTooltip);
	 }	// TODO: Add your command handler code here
	
}

void CAX_Std_DemoDlg::OnSetMenu() 
{
	// TODO: Add your command handler code here
// 	AfxMessageBox("Click the right mouse button to see the effect!You can add actions by implementing the event \"OnContextMenuIndex\"");
// 	m_AX.SetContextMenuString("menu1,menu2,menu3");
}

BOOL bShow = TRUE;
void CAX_Std_DemoDlg::OnNavigation() 
{
	// TODO: Add your command handler code here
	if(bShow)
	{
		bShow = FALSE;
		m_AX.ShowNavigationPanels(bShow);
	}
	else
	{
		bShow = TRUE;
		m_AX.ShowNavigationPanels(bShow);
	}
	
	
}

void CAX_Std_DemoDlg::OnOnContextMenuIndexFoxitpdfsdkstdctrl1(short nIndex) 
{
	// TODO: Add your control notification handler code here
// 	if(nIndex == 1)
// 		AfxMessageBox("menu1");
// 	if(nIndex == 2)
// 		AfxMessageBox("menu2");
// 	if(nIndex == 3)
// 		AfxMessageBox("menu3");
}

void CAX_Std_DemoDlg::OnOnCloseDocumentFoxitpdfsdkstdctrl1(LPCTSTR FilePath) 
{
	// TODO: Add your control notification handler code here
	if(m_pBuffer)
	{
		delete m_pBuffer;
		m_pBuffer = NULL;
	}
	if(m_bOpenCustomer) 
	{
		m_f.Close();
		m_bOpenCustomer = FALSE;
	}
}

void CAX_Std_DemoDlg::OnOpenmemfileforprint() 
{
	// TODO: Add your command handler code here
	CFileDialog fd(true,NULL,NULL,OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT,_T("(*.pdf)|*.pdf"),NULL);
	CFileException e;
    CString csFileName;
	
	if ( fd.DoModal() != IDOK) 
		return;
	csFileName = fd.GetPathName();
	
	if(NULL != m_pBuffer)
	{
		delete m_pBuffer;
		m_pBuffer = NULL;
	}
	
	DWORD dwfilesize,dwreadbytes;
	HANDLE hFile = CreateFile(csFileName, GENERIC_READ, FILE_SHARE_READ,
		NULL, OPEN_EXISTING, FILE_ATTRIBUTE_NORMAL, NULL);
	dwfilesize = GetFileSize(hFile, NULL);
	m_pBuffer = new BYTE [dwfilesize];
	ReadFile(hFile, m_pBuffer, dwfilesize, &dwreadbytes,
		NULL);
	CloseHandle(hFile);
	
	CPDFPrinter PDFPrinter = m_AX.OpenMemFileForPrinter((long)m_pBuffer,dwfilesize);
	PDFPrinter.PrintWithDialog();
}

void CAX_Std_DemoDlg::OnRemoveemark() 
{
	// TODO: Add your command handler code here
// 	BOOL bRemove = m_AX.RemoveEvaluationMark();
// 	if (bRemove)
// 		AfxMessageBox("Remove success!");
}

void CAX_Std_DemoDlg::OnCrashLogPath() 
{
	// TODO: Add your command handler code here
	CString csFileName;
	TCHAR dir[255]= _T(""); 
	BROWSEINFO brinfo; 
	ITEMIDLIST* pIDL; 
	brinfo.hwndOwner= m_hWnd; 
	brinfo.pidlRoot= NULL; 
	brinfo.pszDisplayName= dir; 
	brinfo.lpszTitle= _T("Choose file path"); 
	brinfo.ulFlags = BIF_RETURNONLYFSDIRS | BIF_RETURNFSANCESTORS;
	brinfo.lpfn = NULL; 
	brinfo.lParam = 0; 
	brinfo.iImage = 0; 
	pIDL = SHBrowseForFolder(&brinfo); 
	if(pIDL == NULL) 
	{
		dir[0] = 0; 
	}
	if(SHGetPathFromIDList(pIDL, dir)) 
	{
        csFileName = dir;
        m_AX.SetCrashLog(csFileName);
	}
	
}

void CAX_Std_DemoDlg::OnPropertiesFile() 
{
	// TODO: Add your command handler code here
	m_AX.ShowDocumentInfoDialog();
}
